package com.docus.server.archive.mapper;

import com.docus.server.archive.entity.TBasicZkInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 转科信息
 *
 * @author YongBin Wen
 * @date 2024/4/9 13:53
 */
@Mapper
public interface TBasicZkInfoMapper {

    int deleteByPatientIds(@Param("patientIds") List<String> patientIds);

    int saveBatch(@Param("zkInfos") List<TBasicZkInfo> zkInfos);

    List<String> existsZkInfoPatientIds(@Param("patientIds") List<String> patientIds);
}
